// Code generated by running "go generate" in golang.org/x/text. DO NOT EDIT.

package translations

import (
	"golang.org/x/text/language"
	"golang.org/x/text/message"
	"golang.org/x/text/message/catalog"
)

type dictionary struct {
	index []uint32
	data  string
}

func (d *dictionary) Lookup(key string) (data string, ok bool) {
	p, ok := messageKeyToIndex[key]
	if !ok {
		return "", false
	}
	start, end := d.index[p], d.index[p+1]
	if start == end {
		return "", false
	}
	return d.data[start:end], true
}

func init() {
	dict := map[string]catalog.Dictionary{
		"de": &dictionary{index: deIndex, data: deData},
		"en": &dictionary{index: enIndex, data: enData},
	}
	fallback := language.MustParse("en")
	cat, err := catalog.NewFromMap(dict, catalog.Fallback(fallback))
	if err != nil {
		panic(err)
	}
	message.DefaultCatalog = cat
}

var messageKeyToIndex = map[string]int{
	"\tbackend: %v":  18,
	"\texport: %s":   7,
	"\timport: %s\n": 8,
	"Aborted":        15,
	"Access token":   26,
	"Access token received, you can use %v now.\n": 35,
	"Append to file": 32,
	"Backend":        40,
	"Client ID":      22,
	"Client secret":  23,
	"Delete the service configuration \"%v\"?":         14,
	"Disable auto correction of submitted listens":     30,
	"During the import the following errors occurred:": 5,
	"Error: %v\n":                 6,
	"Error: OAuth state mismatch": 34,
	"Failed reading config: %v":   9,
	"File path":                   27,
	"From timestamp: %v (%v)":     41,
	"Import failed, last reported timestamp was %v (%s)": 42,
	"Imported %v of %v %s into %v.":                      4,
	"Include skipped listens":                            31,
	"Latest timestamp: %v (%v)":                          43,
	"No":                                                 37,
	"Playlist title":                                     28,
	"Saved service %v using backend %v":                  12,
	"Server URL":                                         24,
	"Service":                                            39,
	"Service \"%v\" deleted\n":                           16,
	"Service name":                                       10,
	"The backend %v requires authentication. Authenticate now?": 13,
	"Token received, you can close this window now.":            19,
	"Transferring %s from %s to %s...":                          3,
	"Unique playlist identifier":                                29,
	"Updated service %v using backend %v\n":                     17,
	"User name":                                                 25,
	"Visit the URL for authorization: %v":                       33,
	"Yes":                                                       36,
	"a service with this name already exists":                   11,
	"backend %s does not implement %s":                          20,
	"done":                                                      2,
	"exporting":                                                 0,
	"importing":                                                 1,
	"key must only consist of A-Za-z0-9_-":                      45,
	"no configuration file defined, cannot write config":        44,
	"no existing service configurations":                        38,
	"no service configuration \"%v\"":                           46,
	"unknown backend \"%s\"":                                    21,
}

var deIndex = []uint32{ // 48 elements
	// Entry 0 - 1F
	0x00000000, 0x0000000b, 0x00000016, 0x0000001d,
	0x00000046, 0x00000071, 0x000000a8, 0x000000bb,
	0x000000bb, 0x000000bb, 0x000000bb, 0x000000bb,
	0x000000bb, 0x000000bb, 0x000000bb, 0x000000bb,
	0x000000bb, 0x000000bb, 0x000000bb, 0x000000bb,
	0x000000bb, 0x000000bb, 0x000000bb, 0x000000bb,
	0x000000bb, 0x000000bb, 0x000000bb, 0x000000bb,
	0x000000bb, 0x000000bb, 0x000000bb, 0x000000bb,
	// Entry 20 - 3F
	0x000000bb, 0x000000bb, 0x000000bb, 0x000000bb,
	0x000000bb, 0x000000bb, 0x000000bb, 0x000000bb,
	0x000000bb, 0x000000bb, 0x000000bb, 0x000000bb,
	0x000000bb, 0x000000bb, 0x000000bb, 0x000000bb,
} // Size: 216 bytes

const deData string = "" + // Size: 187 bytes
	"\x02exportiere\x02importiere\x02fertig\x02Übertrage %[1]s von %[2]s nach" +
	" %[3]s...\x02%[1]v von %[2]v %[3]s in %[4]v importiert.\x02Während des I" +
	"mports sind folgende Fehler aufgetreten:\x04\x00\x01\x0a\x0e\x02Fehler: " +
	"%[1]v"

var enIndex = []uint32{ // 48 elements
	// Entry 0 - 1F
	0x00000000, 0x0000000a, 0x00000014, 0x00000019,
	0x00000043, 0x0000006d, 0x0000009e, 0x000000b0,
	0x000000c3, 0x000000d7, 0x000000f4, 0x00000101,
	0x00000129, 0x00000151, 0x0000018e, 0x000001b8,
	0x000001c0, 0x000001dd, 0x0000020c, 0x00000220,
	0x0000024f, 0x00000276, 0x0000028e, 0x00000298,
	0x000002a6, 0x000002b1, 0x000002bb, 0x000002c8,
	0x000002d2, 0x000002e1, 0x000002fc, 0x00000329,
	// Entry 20 - 3F
	0x00000341, 0x00000350, 0x00000377, 0x00000393,
	0x000003c6, 0x000003ca, 0x000003cd, 0x000003f0,
	0x000003f8, 0x00000400, 0x0000041e, 0x00000457,
	0x00000477, 0x000004aa, 0x000004cf, 0x000004f0,
} // Size: 216 bytes

const enData string = "" + // Size: 1264 bytes
	"\x02exporting\x02importing\x02done\x02Transferring %[1]s from %[2]s to %" +
	"[3]s...\x02Imported %[1]v of %[2]v %[3]s into %[4]v.\x02During the impor" +
	"t the following errors occurred:\x04\x00\x01\x0a\x0d\x02Error: %[1]v\x04" +
	"\x01\x09\x00\x0e\x02export: %[1]s\x04\x01\x09\x01\x0a\x0e\x02import: %[1" +
	"]s\x02Failed reading config: %[1]v\x02Service name\x02a service with thi" +
	"s name already exists\x02Saved service %[1]v using backend %[2]v\x02The " +
	"backend %[1]v requires authentication. Authenticate now?\x02Delete the s" +
	"ervice configuration \x22%[1]v\x22?\x02Aborted\x04\x00\x01\x0a\x18\x02Se" +
	"rvice \x22%[1]v\x22 deleted\x04\x00\x01\x0a*\x02Updated service %[1]v us" +
	"ing backend %[2]v\x04\x01\x09\x00\x0f\x02backend: %[1]v\x02Token receive" +
	"d, you can close this window now.\x02backend %[1]s does not implement %[" +
	"2]s\x02unknown backend \x22%[1]s\x22\x02Client ID\x02Client secret\x02Se" +
	"rver URL\x02User name\x02Access token\x02File path\x02Playlist title\x02" +
	"Unique playlist identifier\x02Disable auto correction of submitted liste" +
	"ns\x02Include skipped listens\x02Append to file\x02Visit the URL for aut" +
	"horization: %[1]v\x02Error: OAuth state mismatch\x04\x00\x01\x0a.\x02Acc" +
	"ess token received, you can use %[1]v now.\x02Yes\x02No\x02no existing s" +
	"ervice configurations\x02Service\x02Backend\x02From timestamp: %[1]v (%[" +
	"2]v)\x02Import failed, last reported timestamp was %[1]v (%[2]s)\x02Late" +
	"st timestamp: %[1]v (%[2]v)\x02no configuration file defined, cannot wri" +
	"te config\x02key must only consist of A-Za-z0-9_-\x02no service configur" +
	"ation \x22%[1]v\x22"

	// Total table size 1883 bytes (1KiB); checksum: 6875B9DE
